Dati
GET https://1li.ch/api/data/
curl --request GET \
--url 'https://1li.ch/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://1li.ch/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| type | Opzionale String | I campi secondo i quali stai cercando. I valori ammessi sono: email_collector , phone_collector , contact_collector. |
| order_by | Opzionale String | Il campo secondo il quale desideri ordinare i risultati. I valori ammessi sono: datum_id , datetime. |
| order_type | Opzionale String | L'ordine dei risultati. I valori ammessi sono: ASC per l'ordine ascendente, e DESC per l'ordine discendente. |
| page | Opzionale Integer | Il numero di pagina dal quale desideri ricevere i risultati. Il valore predefinito è 1. |
| results_per_page | Opzionale Integer | Quanti risultati desideri per pagina. I valori ammessi sono: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Il valore predefinito è 25. |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-03-12 06:19:47",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://1li.ch/api/data?page=1",
"last": "https://1li.ch/api/data?page=1",
"next": null,
"prev": null,
"self": "https://1li.ch/api/data?page=1"
}
}
GET https://1li.ch/api/data/{datum_id}
curl --request GET \
--url 'https://1li.ch/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://1li.ch/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-03-12 06:19:47",
}
}
DELETE https://1li.ch/api/data/{datum_id}
curl --request DELETE \
--url 'https://1li.ch/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://1li.ch/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \